#
# Copyright (c) 2008-2018 Thierry Florac <tflorac AT ulthar.net>
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#

__docformat__ = 'restructuredtext'


from pyams_content.component.paragraph.interfaces.map import have_gis
if have_gis:

    # import standard library

    # import interfaces
    from pyams_gis.interfaces.configuration import IMapConfiguration

    # import packages
    from zope.interface import Attribute
    from zope.schema import Bool

    from pyams_default_theme import _


    class IMapParagraphDefaultRendererSettings(IMapConfiguration):
        """Map paragraph default renderer settings interface"""

        no_use_default_map_configuration = Bool(title=_("Don't use default configuration?"),
                                                required=True,
                                                default=False)

        use_default_map_configuration = Bool(title=_("Use default configuration?"),
                                             required=True,
                                             default=True)

        configuration = Attribute("Map configuration")
